Bug 231215 - font-families inside @font-palette-values need to be case insensitive
Summary: font-families inside @font-palette-values need to be case insensitive
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on: 231218
Blocks: 230446
  Show dependency treegraph
 
Reported: 2021-10-04 23:19 PDT by Myles C. Maxfield
Modified: 2021-10-08 00:57 PDT (History)
11 users (show)

See Also:


Attachments
Patch (9.70 KB, patch)
2021-10-07 00:09 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff
Patch (8.03 KB, patch)
2021-10-07 16:41 PDT, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myles C. Maxfield 2021-10-04 23:19:47 PDT
-
Comment 1 Radar WebKit Bug Importer 2021-10-04 23:20:21 PDT
<rdar://problem/83871643>
Comment 2 Myles C. Maxfield 2021-10-04 23:48:49 PDT
Also we should test the case sensitivity of the font-family descriptor.
Comment 3 Myles C. Maxfield 2021-10-07 00:09:12 PDT
Created attachment 440482 [details]
Patch
Comment 4 EWS Watchlist 2021-10-07 00:11:18 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 5 Myles C. Maxfield 2021-10-07 00:14:18 PDT
Blocked on https://bugs.webkit.org/show_bug.cgi?id=231218
Comment 6 Myles C. Maxfield 2021-10-07 16:41:19 PDT
Created attachment 440554 [details]
Patch
Comment 7 EWS 2021-10-08 00:57:42 PDT
Committed r283794 (242687@main): <https://commits.webkit.org/242687@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 440554 [details].